Retrieves a specific schedule rotation by id
curl --request GET \
--url https://api.rootly.com/v1/schedule_rotations/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/schedule_rotations/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
}
}